#ifndef SpielStatistik_H
#define SpielStatistik_H

#include <SpielStatistikV.h>
#include <Animation.h>

class SpielStatistik
{
private:
	SpielStatistikV *stat;
	Punkt pos;
	Punkt gr;
	HINSTANCE spielDll;
	Animation2D *la;
	Schrift *schrift;
	double tickVal;
	bool sichtbar;
	unsigned char alpha;
	int spielArt;
	bool rend;
	int ref;

public:
	// Konstruktor
	SpielStatistik( Schrift *zSchrift );
	// Destruktor
	~SpielStatistik();
	// nicht constant
	void setSpielArt( int spielArt );
	void nachricht( int län, char *bytes );
	void reset();
	void doMausEreignis( MausEreignis &me );
	void doTastaturEreignis( TastaturEreignis &te );
	bool tick( double zeit );
	void render( Bild &zRObj );
	void addNachrichtF( Text *t, Text *n, Text *rp, Text *rn, char a, void *ü );
	void addChatF( int acc );
	void addFreundF( int acc );
	void accountAnsehenF( int acc );
	bool istFreundF( int acc );
	void verlassen();
	// constant
	bool istSichtbar();
	// Reference Counting
	SpielStatistik *getThis();
	SpielStatistik *release();
};

// Rückruf Funktionen
void spielStatistikAddNachrichtF( void *p, Text *t, Text *n, Text *rp, Text *rn, char a, void *ü );
void spielStatistikAddChatF( void *p, int acc );
void spielStatistikAddFreundF( void *p, int acc );
void spielStatistikAccountAnsehenF( void *p, int acc );
bool spielStatistikIstFreundF( void *p, int acc );

#endif